/* eslint-disable no-restricted-syntax */
/* eslint-disable guard-for-in */
import axios from 'axios';

export default {
  namespaced: true,
  state: {
    weeks: [],
  },
  mutations: {
    setWeeks(state, weeks) {
      state.weeks = weeks;
    },
  },
  getters: {},
  actions: {
    getWeeks({
      commit,
    }, resortCode) {
      axios
        .get(`/api/timeshare/GetByResortCode/${resortCode}`)
        .then(result => commit('setStatusList', result.data))
        .catch(console.error);
    },
  },
};
